Bug 238786 - libxml2-devel depends on %{version} but not on %{version}-%{release}
libxml2-devel depends on %{version} but not on %{version}-%{release}
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libxml2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 18:27 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 14:13:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-05-02 18:27:47 EDT
Description of problem:
libxml2-devel depends on %{version} but not on %{version}-%{release}, please 
fix this with the next build of the package. There can be minor changes which 
could be incompatible after release bumping, so it's save to add %{release}, 
too.

Version-Release number of selected component (if applicable):
libxml2-2.6.28-1

Expected results:
Please apply the following patch or better:

--- snipp ---
--- libxml2.spec         2007-05-03 00:25:52.000000000 +0200
+++ libxml2.spec.rsc     2007-05-03 00:26:07.000000000 +0200
@@ -26,7 +26,7 @@
 %package devel
 Summary: Libraries, includes, etc. to develop XML and HTML applications
 Group: Development/Libraries
-Requires: libxml2 = %{version}
+Requires: libxml2 = %{version}-%{release}
 Requires: zlib-devel
 Requires: pkgconfig

@@ -45,7 +45,7 @@
 %package python
 Summary: Python bindings for the libxml2 library
 Group: Development/Libraries
-Requires: libxml2 = %{version}
+Requires: libxml2 = %{version}-%{release}

 %description python
 The libxml2-python package contains a module that permits applications
--- snapp ---
Comment 1 Daniel Veillard 2007-05-03 14:13:09 EDT
Fixed in CVS but I didn't rebuilt the package yet,

Daniel

Note You need to log in before you can comment on or make changes to this bug.